<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Showcase
 * @since Showcase 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
    /*
     * Print the <title> tag based on what is being viewed.
     * We filter the output of wp_title() a bit -- see
     * twentyten_filter_wp_title() in functions.php.
     */
    wp_title( '|', true, 'right' );

    ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/schemes/<?php if(get_option('wd_color_scheme')!='')echo strtolower(get_option('wd_color_scheme')); else echo 'dark'; ?>.css" type="text/css">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
    /* We add some JavaScript to pages with the comment form
     * to support sites with threaded comments (when in use).
     */
    if ( is_singular() && get_option( 'thread_comments' ) )
        wp_enqueue_script( 'comment-reply' );

    /* Always have wp_head() just before the closing </head>
     * tag of your theme, or you will break many plugins, which
     * generally use this hook to add elements to <head> such
     * as styles, scripts, and meta tags.
     */
    wp_head();
?>
<link rel="shortcut icon" href="<?php echo get_option('wd_favicon'); ?>">


<?php
?>
<style type="text/css">
<?php
if( get_option('wd_custom_css') != "" )
{
echo get_option('wd_custom_css');
}
if( strtolower(get_option('wd_logo_type')) == 'text' ):
$logo_color = get_option('wd_logo_text_color');
if( $logo_color != "" )
{
?>
h1#logo-text a
{
    color: <?php echo ( substr($logo_color, 0, 1) == '#' ? $logo_color : '#'.$logo_color ) ?>;
}
<?php
}
endif; ?>
</style>
</head>
<body <?php body_class(); ?>>
<div id="header">
    <div class="inner">
        <div id="logo">
        <?php if( strtolower(get_option('wd_logo_type')) == 'image' ): ?>
            <img src="<?php echo get_option('wd_logo_image'); ?>" alt="<?php bloginfo('name');?> Logo" />
        <?php else: ?>
        <?php
            $logo_text = ( get_option('wd_logo_text') ) ? get_option('wd_logo_text') : get_bloginfo('name');
            $logo_link = ( get_option('wd_logo_text_link') ) ? get_option('wd_logo_text_link') : home_url();
            $logo_color = get_option('wd_logo_text_color');
        ?>
            <h1 id="logo-text"><a href="<?php echo $logo_link ?>"><?php echo $logo_text; ?></a></h1>
        <?php endif; ?>
        </div>
        <?php wp_nav_menu( array( 'menu' => 'main', 'container_class' => 'menu', 'theme_location' => 'primary' ) ); ?>
    </div>
</div>

    <?php
    $slideshowonopt = get_option('wd_slideshowon');
    $slidepath = get_option('wd_imagepath');
    ?>
<?php if ($slideshowonopt == "Yes"){?>
<div id="bger">
        <div id="box">
    <div class="inner">
<div id="flashcontent">
    <div style="margin-top: -30px;">
        <?php
        $width = get_option('wd_width');
        $height = get_option('wd_height');
        ?>
        <img src="<?php echo get_option('wd_no_flash'); ?>" alt="No Flash" style="width:<?php echo $width; ?>; height: <?php echo $height; ?>;" />
    </div>
</div><!-- end flashcontent -->
<?php if (($slidepath == "") || ($slidepath == "images/")){?>
        <script type="text/javascript">
                var flashvars = {};
                flashvars.xmlSource = "<?php echo admin_url('admin-ajax.php?action=showcase_piecemaker')?>";
                flashvars.cssSource = "<?php bloginfo('template_url'); ?>/library/piecemaker/css/piecemakerCSS.css";
                flashvars.imageSource = "<?php bloginfo('template_url'); ?>/images";
                var attributes = {};
                attributes.wmode = "transparent";
                swfobject.embedSWF("<?php bloginfo('template_url'); ?>/library/piecemaker/piecemaker.swf", "flashcontent", "1005", "500", "10", "<?php bloginfo('template_url'); ?>/library/js/swfobject/expressInstall.swf", flashvars, attributes);
        </script>
<?php } else {?>
    <script type="text/javascript">
            var flashvars = {};
            flashvars.xmlSource = "<?php echo admin_url('admin-ajax.php?action=showcase_piecemaker')?>";
            flashvars.cssSource = "<?php bloginfo('template_url'); ?>/library/piecemaker/css/piecemakerCSS.css";
            flashvars.imageSource = "<?php print($slidepath)?>";
            var attributes = {};
            attributes.wmode = "transparent";
            swfobject.embedSWF("<?php bloginfo('template_url'); ?>/library/piecemaker/piecemaker.swf", "flashcontent", "1005", "500", "10", "<?php bloginfo('template_url'); ?>/library/js/swfobject/expressInstall.swf", flashvars, attributes);
    </script>
<?php } ?>
        </div>
    </div>
</div>
<div class="clear"></div>
<div class="content">

    <?php }
    else{
        if (is_home()){
    ?>
    <div id="bger">
            <div id="box">
        <div class="inner">
    <div id="flashcontent">
        <div style="margin-top: -30px;">
            <?php
            $width = get_option('wd_width');
            $height = get_option('wd_height');
            ?>
            <img src="<?php echo get_option('wd_no_flash'); ?>" alt="No Flash" style="width:<?php echo $width; ?>; height: <?php echo $height; ?>;" />
        </div>
    </div><!-- end flashcontent -->
    <?php if (($slidepath == "") || ($slidepath == "images/")){?>
            <script type="text/javascript">
                    var flashvars = {};
                    flashvars.xmlSource = "<?php echo admin_url('admin-ajax.php?action=showcase_piecemaker')?>";
                    flashvars.cssSource = "<?php bloginfo('template_url'); ?>/library/piecemaker/css/piecemakerCSS.css";
                    flashvars.imageSource = "<?php bloginfo('template_url'); ?>/images";
                    var attributes = {};
                    attributes.wmode = "transparent";
                    swfobject.embedSWF("<?php bloginfo('template_url'); ?>/library/piecemaker/piecemaker.swf", "flashcontent", "1005", "500", "10", "<?php bloginfo('template_url'); ?>/library/js/swfobject/expressInstall.swf", flashvars, attributes);
            </script>
    <?php } else {?>
        <script type="text/javascript">
                var flashvars = {};
                flashvars.xmlSource = "<?php echo admin_url('admin-ajax.php?action=showcase_piecemaker')?>";
                flashvars.cssSource = "<?php bloginfo('template_url'); ?>/library/piecemaker/css/piecemakerCSS.css";
                flashvars.imageSource = "<?php print($slidepath)?>";
                var attributes = {};
                attributes.wmode = "transparent";
                swfobject.embedSWF("<?php bloginfo('template_url'); ?>/library/piecemaker/piecemaker.swf", "flashcontent", "1005", "500", "10", "<?php bloginfo('template_url'); ?>/library/js/swfobject/expressInstall.swf", flashvars, attributes);
        </script>
    <?php } ?>
            </div>
        </div>
    </div>
    <div class="clear"></div>
    <div class="content">
    <?php } else {?>

        <div class="contentpage">
        <?php }
        }
        ?>


    <div class="inner">